Replace an index
Authorization
BearerAuth AuthorizationBearer <token>
API authentication via Authorization: Bearer <your-api-key>. Obtain
your API key from Config → API in the Aplas web app.
In: header
Path Parameters
indexId*string
The id of the index to replace
Request Body
application/json
The replacement index
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X PUT "https://api.au.aplas.com/api/v2/index/id" \ -H "Content-Type: application/json" \ -d '{ "id": "id", "name": "Index A", "description": "More information", "fieldDefinitions": [ { "scope": "Application", "taggedBy": [ "finance" ], "name": "Health", "id": "health", "description": "The ratings for health", "type": "Rating", "subType": "Color", "required": false, "isArray": true, "isArrayOrdered": true, "isArrayLabeled": true, "options": [ "unhealthy:#EE724E", "normal:#EEC24E", "healthy:#4EEE94" ] }, { "scope": "Integration", "name": "Target Location", "id": "target-location", "description": "location where payload is sent", "type": "String", "required": false, "isArray": false } ] }'Empty
{
"code": 500,
"message": "Internal server error"
}